## org.eclipse.e4.xwt.input
Enum ModifierKeys

    java.lang.Object
      java.lang.Enum<ModifierKeys>
          org.eclipse.e4.xwt.input.ModifierKeys

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ModifierKeys>

    public enum ModifierKeys

extends java.lang.Enum<ModifierKeys>

Enum Constant Summary
`Alt`
`Control`
`None`
`Shift`
`Windows`

Method Summary
`static ModifierKeys` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ModifierKeys[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### None

    public static final ModifierKeys None

### Alt

    public static final ModifierKeys Alt

### Control

    public static final ModifierKeys Control

### Shift

    public static final ModifierKeys Shift

### Windows

    public static final ModifierKeys Windows

Method Detail

### values

    public static final ModifierKeys[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(ModifierKeys c : ModifierKeys.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static ModifierKeys valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name